{
  "compilerOptions": {
    "baseUrl": ".",
    "target": "esnext",
    "useDefineForClassFields": true,
    "module": "esnext",
    "moduleResolution": "node",
    "jsx": "preserve",
    "sourceMap": true,
    "resolveJsonModule": true,
    "esModuleInterop": true,
    "skipLibCheck": true,
    "lib": ["esnext", "dom"],
    "paths": {
      "@/*": ["src/*"],
      // "@meta2d/*": ["../meta2d.js/packages/*"],
      "@2d-components/*": ["../2d-components/packages/*"],
      // "visio2meta2d": ["../visio2meta2d"],
      // "dxf": ["../dxf"],
      // "@meta3d/*": ["../meta3d.js/*"],
      // "@le5le/auth-token":["../auth-token"],
    },
  },
  "include": ["src/**/*.ts", "src/**/*.d.ts", "src/**/*.tsx", "src/**/*.vue"],
  "references": [{ "path": "./tsconfig.node.json" }]
}
